## org.apache.mahout.math.hadoop.stochasticsvd
Class VJob

    java.lang.Object
      org.apache.mahout.math.hadoop.stochasticsvd.VJob

    public class VJob

extends Object

Nested Class Summary
`static class` `VJob.VMapper`

Field Summary
`static String` `PROP_SQ_PATH`
`static String` `PROP_XI_PATH`

Constructor Summary
`VJob()`

Method Summary
`void` `run(org.apache.hadoop.conf.Configuration conf, org.apache.hadoop.fs.Path inputPathBt, org.apache.hadoop.fs.Path xiPath, org.apache.hadoop.fs.Path sqPath, org.apache.hadoop.fs.Path inputUHatPath, org.apache.hadoop.fs.Path inputSigmaPath, org.apache.hadoop.fs.Path outputPath, int k, int numReduceTasks, org.apache.mahout.math.hadoop.stochasticsvd.SSVDSolver.OutputScalingEnum outputScaling)`
`void` `waitForCompletion()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_SQ_PATH

    public static final String PROP_SQ_PATH

See Also:
  Constant Field Values

### PROP_XI_PATH

    public static final String PROP_XI_PATH

See Also:
  Constant Field Values

Constructor Detail

### VJob

    public VJob()

Method Detail

### run

    public void run(org.apache.hadoop.conf.Configuration conf,
                    org.apache.hadoop.fs.Path inputPathBt,
                    org.apache.hadoop.fs.Path xiPath,
                    org.apache.hadoop.fs.Path sqPath,
                    org.apache.hadoop.fs.Path inputUHatPath,
                    org.apache.hadoop.fs.Path inputSigmaPath,
                    org.apache.hadoop.fs.Path outputPath,
                    int k,
                    int numReduceTasks,
                    org.apache.mahout.math.hadoop.stochasticsvd.SSVDSolver.OutputScalingEnum outputScaling)
             throws ClassNotFoundException,
                    InterruptedException,
                    IOException

  Parameters:
    `conf` -
    `inputPathBt` -
    `xiPath` - PCA row mean (MAHOUT-817, to fix B')
    `sqPath` - sq (MAHOUT-817, to fix B')
    `inputUHatPath` -
    `inputSigmaPath` -
    `outputPath` -
    `k` -
    `numReduceTasks` -
    `outputScaling` - output scaling: apply Sigma, or Sigma^0.5, or none
  Throws:
    `ClassNotFoundException`
    `InterruptedException`
    `IOException`

### waitForCompletion

    public void waitForCompletion()
                           throws IOException,
                                  ClassNotFoundException,
                                  InterruptedException

  Throws:
    `IOException`
    `ClassNotFoundException`
    `InterruptedException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.